SoEnvironmentElement(3)

NAME
SoEnvironmentElement - The SoEnvironmentElement class is yet to be documented.

SYNOPSIS

#include <Inventor/elements/SoEnvironmentElement.h>

Inherits SoReplacedElement.

Inherited by SoGLEnvironmentElement.

  Public Types
enum FogType { NONE, HAZE, FOG, SMOKE }

  Public Member Functions
virtual void init (SoState *state)
virtual void print (FILE *file) const
FIXME: write doc.

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
static void set (SoState *const state, SoNode *const node, const float ambientIntensity, const SbColor &ambientColor, const SbVec3f &attenuation, const int32_t fogType, const SbColor &fogColor, const float fogVisibility, const float fogStart=0.0f)
FIXME: write doc.
static void get (SoState *const state, float &ambientIntensity, SbColor &ambientColor, SbVec3f &attenuation, int32_t &fogType, SbColor &fogColor, float &fogVisibility, float &fogStart)
FIXME: write doc.
static float getAmbientIntensity (SoState *const state)
FIXME: write doc.
static float getFogVisibility (SoState *const state)
FIXME: write doc.
static const SbVec3f & getLightAttenuation (SoState *const state)
FIXME: write doc.
static const SbColor & getAmbientColor (SoState *const state)
FIXME: write doc.
static const SbColor & getFogColor (SoState *const state)
FIXME: write doc.
static int32_t getFogType (SoState *const state)
FIXME: write doc.
static void getDefault (float &ambientIntensity, SbColor &ambientColor, SbVec3f &attenuation, int32_t &fogType, SbColor &fogColor, float &fogVisibility, float &fogNear)
FIXME: write doc.

  Protected Member Functions
virtual ~SoEnvironmentElement ()
virtual void setElt (SoState *const state, const float ambientIntensity, const SbColor &ambientColor, const SbVec3f &attenuation, const int32_t fogType, const SbColor &fogColor, const float fogVisibility, const float fogNear)
FIXME: doc.

  Protected Attributes
float ambientIntensity
SbColor ambientColor
SbVec3f attenuation
int32_t fogType
SbColor fogColor
float fogVisibility
float fogStart

  Additional Inherited Members

Detailed Description

The SoEnvironmentElement class is yet to be documented. FIXME: write doc.

Member Enumeration Documentation

  enum SoEnvironmentElement::FogType
FIXME: write doc.

Constructor & Destructor Documentation

  SoEnvironmentElement::~SoEnvironmentElement (void) [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoEnvironmentElement::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  int SoEnvironmentElement::getClassStackIndex (void) [static]
This static method returns the state stack index for the class.

  void * SoEnvironmentElement::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoEnvironmentElement::initClass (void) [static]
Initialize relevant common data for all instances, like the type system.

  void SoEnvironmentElement::init (SoState * state) [virtual]
Initializes the element to its default value. The defaults for the environment settings are:

SoEnvironmentElement::ambientIntensity = 0.2 SoEnvironmentElement::ambientColor = SbColor(1.0, 1.0, 1.0) SoEnvironmentElement::attenuation = SbVec3f(0.0, 0.0, 1.0) SoEnvironmentElement::fogType = SoEnvironmentElement::NONE SoEnvironmentElement::fogColor = SbColor(1.0, 1.0, 1.0) SoEnvironmentElement::fogVisibility = 0.0 SoEnvironmentElement::fogStart = 0.0

Reimplemented from SoReplacedElement.

Reimplemented in SoGLEnvironmentElement.

  void SoEnvironmentElement::print (FILE * file) const [virtual]

FIXME: write doc.

Reimplemented from SoReplacedElement.

  void SoEnvironmentElement::setElt (SoState *const state, const float ambientIntensity, const SbColor & ambientColor, const SbVec3f & attenuation, const int32_t fogType, const SbColor & fogColor, const float fogVisibility, const float fogNear) [protected], [virtual]

FIXME: doc.

Reimplemented in SoGLEnvironmentElement.

Member Data Documentation

  SoEnvironmentElement::ambientIntensity [protected]
FIXME: write doc.

  SoEnvironmentElement::ambientColor [protected]
FIXME: write doc.

  SoEnvironmentElement::attenuation [protected]
FIXME: write doc.

  SoEnvironmentElement::fogType [protected]
FIXME: write doc.

  SoEnvironmentElement::fogColor [protected]
FIXME: write doc.

  SoEnvironmentElement::fogVisibility [protected]
FIXME: write doc.

  SoEnvironmentElement::fogStart [protected]
FIXME: write doc.

Author

Generated automatically by Doxygen for Coin from the source code.